/* themes/oomi26/assets/css/table.css */

.wp-block-table {
    border-collapse: collapse;
    width: 100%;
}

.wp-block-table thead {
    border-bottom: 2px solid var(--wp--preset--color--brand-primary-navy);
}

/* Force the striped look on all tables */
.wp-block-table tr:nth-child(odd) {
    background-color: var(--wp--preset--color--neutral-grey-100);
}

.wp-block-table tr:nth-child(even) {
    background-color: transparent;
}

.wp-block-table tr {
    border-radius: var(--wp--preset--spacing--spacing-xxsm);
}

/* Ensure borders don't double up */
.wp-block-table td, 
.wp-block-table th {
    border: none;
    word-break: break-word;
    padding: var(--wp--preset--spacing--spacing-sm);
}

/* Fix for editor-specific alignment */
.wp-block-table figcaption {
    color: var(--wp--preset--color--text-secondary);
    font-size: var(--wp--preset--font-size--body-micro);
    text-align: center;
    margin-top: var(--wp--preset--spacing--spacing-xsm);
}